/* eslint-disable @next/next/no-img-element */
import React from 'react'
import CardItems from './CardItems';
import { CourseVideoProps } from '@/models/home';

type CardListProps = {
  courseList: CourseVideoProps[];
};

const CardList = (props: CardListProps) => {
  return (
    <div className="grid xl:grid-cols-4 lg:grid-cols-3 sm:grid-cols-3 grid-cols-1 gap-5">
      {props.courseList.map((course) => (
        <CardItems key={course._id} course={course} />
      ))}
    </div>
  );
}

export default CardList