"use client";

import ReactPlayer from "react-player";

type CourseDetailsPlayerProps = {
  videoUrl: string;
};

const CourseDetailsPlayer = ({ videoUrl }: CourseDetailsPlayerProps) => {
  return (
    <div className="z-10 flex aspect-video w-full flex-col justify-center">
    <div className="relative mb-5 h-full">
      <div className="flex h-full w-full items-center justify-center">
        <div
          className="aspect-video w-full"
          style={{ width: "100%", height: "100%" }}
        >
          <div style={{ width: "100%", height: "100%" }}>
            <ReactPlayer
              url={videoUrl || ""}
              controls
              playing={true}
              width="100%"
              className="aspect-video height-auto"
              config={{ youtube: { playerVars: { autoplay: 1 } } }}
            />
          </div>
        </div>
      </div>
    </div>
    </div>
  );
};

export default CourseDetailsPlayer;
