import React from 'react'

const CourseSummery = () => {
  return (
    <div
      className="my-8 flex flex-col items-center justify-center py-4 md:mb-16 md:py-12"
      style={{
        backgroundImage:
          "url('/image/course-summery.jpeg')",
        backgroundSize: "cover",
        backgroundPosition: "center center",
        backgroundRepeat: "no-repeat",
      }}
    >
      <div className="container text-center">
        <h2 className="text-[16px] font-bold leading-[30px] text-white md:text-[44px] md:font-semibold md:leading-[56px]">
          কোর্সের সারাংশ
        </h2>
      </div>
      <div className="container grid  grid-cols-2  gap-4 py-7 md:grid-cols-3 md:gap-12">
        <div className="border-1 col-span-1 flex flex-col items-center justify-center rounded-xl border-white border-opacity-0 bg-[#00000042] p-4 py-2 text-white   md:py-8 ">
          <h2 className="count text-3xl font-semibold  md:mb-[14px] md:leading-[44px]">
            <span>১৩২২</span>+
          </h2>
          <p className="text-sm font-medium leading-[30px] md:text-xl">
            মোট শিক্ষার্থী
          </p>
        </div>
        <div className="border-1 col-span-1 flex flex-col items-center justify-center rounded-xl border-white border-opacity-0 bg-[#00000042] p-4 py-2 text-white   md:py-8 ">
          <h2 className="count text-3xl font-semibold  md:mb-[14px] md:leading-[44px]">
            <span>৫০০</span>+
          </h2>
          <p className="text-sm font-medium leading-[30px] md:text-xl">
            মোট কুইজ
          </p>
        </div>
        <div className="border-1 flex flex-col items-center justify-center rounded-xl border-white border-opacity-0 bg-[#00000042] p-4 py-2 text-white   md:py-8 col-span-2 md:col-span-1 ">
          <h2 className="count text-3xl font-semibold  md:mb-[14px] md:leading-[44px]">
            <span>১০</span>+
          </h2>
          <p className="text-sm font-medium leading-[30px] md:text-xl">
            মোট এসাইনমেন্ট
          </p>
        </div>
      </div>
    </div>
  );
}

export default CourseSummery