/* eslint-disable @next/next/no-img-element */
import React from "react";

const HomeTutorials = () => {
  return (
    <section className="wrapper gradient-primary scroll-mt-12 dark:bg-slate-900 dark:bg-none mt-8">
      <div className="container flex flex-col gap-10 lg:flex-row lg:gap-20">
        <div className="lg:w-6/12">
          <div className="next-image">
            <span>
              <img
                alt="Prerequisite"
                src="https://learnwithsumit.com/_next/static/media/Prerequisite.b0ff46bc.svg"
                decoding="async"
                loading="lazy"
              />
            </span>
          </div>
          <h1 className="section-title">অসাধারণ টিউটোরিয়ালস</h1>
          <p className="text-medium text-1 mt-6">
            ইউটিউব চ্যানেলে এখন পর্যন্ত ৩৫০ টিরও বেশি অসাধারণ টিউটোরিয়াল দিয়েছে
            যেগুলো ভালভাবে অনুসরণ করলে একজন লার্নার এর ওয়েব ডেভেলপমেন্ট যাত্রা
            অনেক সহজ হবে। সেই সাথে সহজ সরল প্রাঞ্জল এবং সাবলীল বাংলা ভাষায়
            বোঝানোর ধরণ প্রোগ্রামিং এর জটিল বিষয়গুলোর প্রতি ভয় দূর করবে বলে
            আমাদের বিশ্বাস।
          </p>
        </div>
        <div className="grid w-full gap-4 lg:grid-cols-3">
          <div className="border-general rounded-1 scale-general bg-0 border p-8 transition-all">
            <div className="bg-yellow-400 mx-auto flex h-12 w-12 items-center justify-center rounded-full">
              <span>
                <img
                  alt="জাভাস্ক্রিপ্ট ফর বিগিনার্স"
                  src="https://learnwithsumit.com/_next/static/media/javascript.452e2fce.svg"
                  decoding="async"
                  data-nimg="intrinsic"
                />
              </span>
            </div>
            <h2 className="text-normal text-0 mx-0 mb-0 mt-2 box-border border-0 border-solid border-gray-200 text-center font-medium">
              জাভাস্ক্রিপ্ট ফর বিগিনার্স
            </h2>
            <p className="text-small text-1 mt-2 text-center">
              বিগিনার দের জন্য সম্পূর্ণ ফ্রি জাভাস্ক্রিপ্ট সিরিজ।
            </p>
            <div className="mt-4 text-center">
              <a
                className="mantine-Button-outline mantine-Button-root mantine-7a5dwr"
                type="button"
                href="https://www.youtube.com/watch?v=rePN-VFo1Eo&amp;list=PLHiZ4m8vCp9OkrURufHpGUUTBjJhO9Ghy"
                target="_blank"
              >
                <div className="flex flex-wrap gap-2 justify-center items-center border border-gray-400 p-2">
                  <span>
                    <svg
                      stroke="currentColor"
                      fill="none"
                      strokeWidth="2"
                      viewBox="0 0 24 24"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                      height="14"
                      width="14"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                      <polyline points="15 3 21 3 21 9"></polyline>
                      <line x1="10" y1="14" x2="21" y2="3"></line>
                    </svg>
                  </span>
                  <span className="mantine-qo1k2 mantine-Button-label">
                    ভিডিও দেখুন
                  </span>
                </div>
              </a>
            </div>
          </div>
          <div className="border-general rounded-1 scale-general bg-0 border p-8 transition-all">
            <div className="bg-orange-500 mx-auto flex h-12 w-12 items-center justify-center rounded-full">
              <span>
                <img
                  alt="DOM প্লেলিস্ট ফর বিগিনার্স"
                  src="https://learnwithsumit.com/_next/static/media/dom.127c6c2c.svg"
                  decoding="async"
                />
              </span>
            </div>
            <h2 className="text-normal text-0 mx-0 mb-0 mt-2 box-border border-0 border-solid border-gray-200 text-center font-medium">
              DOM প্লেলিস্ট ফর বিগিনার্স
            </h2>
            <p className="text-small text-1 mt-2 text-center">
              DOM সম্পর্কে সুন্দর ধারণা দিবে এই ফ্রি প্লেলিস্টটি
            </p>
            <div className="mt-4 text-center">
              <a
                className="mantine-Button-outline mantine-Button-root mantine-7a5dwr"
                type="button"
                href="https://www.youtube.com/watch?v=XY96d0vEdFk&amp;list=PLHiZ4m8vCp9MJDxMOzhYVuTrO1b5n-Tq_"
                target="_blank"
              >
                <div className="flex flex-wrap gap-2 justify-center items-center border border-gray-400 p-2">
                  <span>
                    <svg
                      stroke="currentColor"
                      fill="none"
                      strokeWidth="2"
                      viewBox="0 0 24 24"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                      height="14"
                      width="14"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                      <polyline points="15 3 21 3 21 9"></polyline>
                      <line x1="10" y1="14" x2="21" y2="3"></line>
                    </svg>
                  </span>
                  <span className="mantine-qo1k2 mantine-Button-label">
                    ভিডিও দেখুন
                  </span>
                </div>
              </a>
            </div>
          </div>
          <div className="border-general rounded-1 scale-general bg-0 border p-8 transition-all">
            <div className="bg-yellow-400 mx-auto flex h-12 w-12 items-center justify-center rounded-full">
              <span>
                <img
                  src="https://learnwithsumit.com/_next/static/media/dom.127c6c2c.svg"
                  alt="মডার্ন জাভাস্ক্রিপ্ট ফর বিগিনার্স"
                />
              </span>
            </div>
            <h2 className="text-normal text-0 mx-0 mb-0 mt-2 box-border border-0 border-solid border-gray-200 text-center font-medium">
              মডার্ন জাভাস্ক্রিপ্ট ফর বিগিনার্স
            </h2>
            <p className="text-small text-1 mt-2 text-center">
              বিগিনার দের জন্য সম্পূর্ণ ফ্রি মডার্ন জাভাস্ক্রিপ্ট প্লেলিস্ট
            </p>
            <div className="mt-4 text-center">
              <a
                className="mantine-Button-outline mantine-Button-root mantine-7a5dwr"
                type="button"
                href="https://www.youtube.com/watch?v=PWXkYBmlbB4&amp;list=PLHiZ4m8vCp9MFjMRp9EEHWKArbi0wdgXG"
                target="_blank"
              >
                <div className="flex flex-wrap gap-2 justify-center items-center border border-gray-400 p-2">
                  <span>
                    <svg
                      stroke="currentColor"
                      fill="none"
                      strokeWidth="2"
                      viewBox="0 0 24 24"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                      height="14"
                      width="14"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                      <polyline points="15 3 21 3 21 9"></polyline>
                      <line x1="10" y1="14" x2="21" y2="3"></line>
                    </svg>
                  </span>
                  <span className="mantine-qo1k2 mantine-Button-label">
                    ভিডিও দেখুন
                  </span>
                </div>
              </a>
            </div>
          </div>
          <div className="border-general rounded-1 scale-general bg-0 border p-8 transition-all">
            <div className="bg-secondary1 mx-auto flex h-12 w-12 items-center justify-center rounded-full">
              <span>
                <img
                  alt="থিংক ইন এ রিয়্যাক্ট ওয়ে"
                  src="https://learnwithsumit.com/_next/static/media/dom.127c6c2c.svg"
                  decoding="async"
                  data-nimg="intrinsic"
                />
              </span>
            </div>
            <h2 className="text-normal text-0 mx-0 mb-0 mt-2 box-border border-0 border-solid border-gray-200 text-center font-medium">
              থিংক ইন এ রিয়্যাক্ট ওয়ে
            </h2>
            <p className="text-small text-1 mt-2 text-center">
              বিগিনার ফ্রেন্ডলি সম্পূর্ণ ফ্রি বাংলা React.js প্লেলিস্ট।
            </p>
            <div className="mt-4 text-center">
              <a
                className="mantine-Button-outline mantine-Button-root mantine-7a5dwr"
                type="button"
                href="https://www.youtube.com/watch?v=5Xy-t8k_M4A&amp;list=PLHiZ4m8vCp9M6HVQv7a36cp8LKzyHIePr"
                target="_blank"
              >
                <div className="flex flex-wrap gap-2 justify-center items-center border border-gray-400 p-2">
                  <span>
                    <svg
                      stroke="currentColor"
                      fill="none"
                      strokeWidth="2"
                      viewBox="0 0 24 24"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                      height="14"
                      width="14"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                      <polyline points="15 3 21 3 21 9"></polyline>
                      <line x1="10" y1="14" x2="21" y2="3"></line>
                    </svg>
                  </span>
                  <span className="mantine-qo1k2 mantine-Button-label">
                    ভিডিও দেখুন
                  </span>
                </div>
              </a>
            </div>
          </div>
          <div className="border-general rounded-1 scale-general bg-0 border p-8 transition-all">
            <div className="bg-slate-700 mx-auto flex h-12 w-12 items-center justify-center rounded-full">
              <span>
                <img
                  alt="Node.js বাংলা সিরিজ"
                  src="https://learnwithsumit.com/_next/static/media/dom.127c6c2c.svg"
                  decoding="async"
                  data-nimg="intrinsic"
                />
              </span>
            </div>
            <h2 className="text-normal text-0 mx-0 mb-0 mt-2 box-border border-0 border-solid border-gray-200 text-center font-medium">
              Node.js বাংলা সিরিজ
            </h2>
            <p className="text-small text-1 mt-2 text-center">
              Express Node ও MongoDB টিউটোরিয়াল সিরিজ
            </p>
            <div className="mt-4 text-center">
              <a
                className="mantine-Button-outline mantine-Button-root mantine-7a5dwr"
                type="button"
                href="https://www.youtube.com/watch?v=WC-g0JtEIwM&amp;list=PLHiZ4m8vCp9PHnOIT7gd30PCBoYCpGoQM"
                target="_blank"
              >
                <div className="flex flex-wrap gap-2 justify-center items-center border border-gray-400 p-2">
                  <span>
                    <svg
                      stroke="currentColor"
                      fill="none"
                      strokeWidth="2"
                      viewBox="0 0 24 24"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                      height="14"
                      width="14"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                      <polyline points="15 3 21 3 21 9"></polyline>
                      <line x1="10" y1="14" x2="21" y2="3"></line>
                    </svg>
                  </span>
                  <span className="mantine-qo1k2 mantine-Button-label">
                    ভিডিও দেখুন
                  </span>
                </div>
              </a>
            </div>
          </div>
          <div className="border-general rounded-1 scale-general bg-0 border p-8 transition-all">
            <div className="bg-slate-900 dark:bg-slate-50 mx-auto flex h-12 w-12 items-center justify-center rounded-full">
              <span>
                {" "}
                <img
                  alt="Tailwind CSS সিরিজ"
                  src="https://learnwithsumit.com/_next/static/media/dom.127c6c2c.svg"
                  decoding="async"
                  data-nimg="intrinsic"
                />
              </span>
            </div>
            <h2 className="text-normal text-0 mx-0 mb-0 mt-2 box-border border-0 border-solid border-gray-200 text-center font-medium">
              Tailwind CSS সিরিজ
            </h2>
            <p className="text-small text-1 mt-2 text-center">
              সম্পূর্ণ ফ্রি বাংলা টেইলউইন্ড সিএসএস সিরিজ
            </p>
            <div className="mt-4 text-center">
              <a
                className="mantine-Button-outline mantine-Button-root mantine-7a5dwr"
                type="button"
                href="https://www.youtube.com/watch?v=X7XbjwD6fVY&amp;list=PLHiZ4m8vCp9P23SqlHL0QAqiwS_oCofV2"
                target="_blank"
              >
                <div className="flex flex-wrap gap-2 justify-center items-center border border-gray-400 p-2">
                  <span>
                    <svg
                      stroke="currentColor"
                      fill="none"
                      strokeWidth="2"
                      viewBox="0 0 24 24"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                      height="14"
                      width="14"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                      <polyline points="15 3 21 3 21 9"></polyline>
                      <line x1="10" y1="14" x2="21" y2="3"></line>
                    </svg>
                  </span>
                  <span className="mantine-qo1k2 mantine-Button-label">
                    ভিডিও দেখুন
                  </span>
                </div>
              </a>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default HomeTutorials;
